---
updatedAt: 2026-05-21T16:39:08.000Z
---

# Get the rights values associated to an assignment.

Entitlements required: tenantAdmin [Tenant Administrator], manageAppAccessOwner [Manage Application Entitlements], manageEntitlements [Manage Entitlements], readEntitlements [Read Entitlements].</br></br>Get the rights value associated with an assignment based on its unique code. The assignment code for an entitlement can be retrieved using POST /v1.0/entitlements/assignments/search API.

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "version": "1.0.0",
    "description": "Application management",
    "title": "Application management"
  },
  "servers": [
    {
      "url": "https://{tenanturl}",
      "variables": {
        "tenanturl": {
          "default": "{tenant_url}",
          "description": "URL of your IBM Security Verify tenant"
        }
      }
    }
  ],
  "tags": [
    {
      "name": "Entitlement Management"
    }
  ],
  "paths": {
    "/v1.0/assignments/{assignment}/rights": {
      "get": {
        "tags": [
          "Entitlement Management"
        ],
        "summary": "Get the rights values associated to an assignment.",
        "description": "Entitlements required: tenantAdmin [Tenant Administrator], manageAppAccessOwner [Manage Application Entitlements], manageEntitlements [Manage Entitlements], readEntitlements [Read Entitlements].</br></br>Get the rights value associated with an assignment based on its unique code. The assignment code for an entitlement can be retrieved using POST /v1.0/entitlements/assignments/search API.",
        "operationId": "getAssignmentRightValues",
        "parameters": [
          {
            "name": "assignment",
            "in": "path",
            "description": "The unique code of an assignment.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "limit",
            "in": "query",
            "description": "The maximum number of resources for a page.</br></br>By default, a maximum of 500 resources are returned, if no limit query parameter is passed.</br></br>For example: limit=25 (the <b>limit</b> parameter is set to 25, then, 25 resources are fetched for a page.)",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 500
            }
          },
          {
            "name": "page",
            "in": "query",
            "description": "Page number used to get resources for specific page.</br></br>Resources are returned for first page if no page query parameter is passed or less than 1 is passed.</br></br>For example: page=2 (the <b>page</b> parameter is set to 2, then, the resources are fetched for second page.)",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 1
            }
          }
        ],
        "responses": {
          "200": {
            "description": "The request was successful.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ListResponseAssignmentRight"
                }
              }
            }
          },
          "400": {
            "description": "An application status error occurred. The error code and description are available in the payload.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorMessage_4"
                }
              }
            }
          },
          "500": {
            "description": "Your request can't be processed because an internal server error occurred.",
            "content": {}
          }
        },
        "x-category": "Application management",
        "x-publicAPI": "true"
      }
    }
  },
  "components": {
    "schemas": {
      "AssignmentRight": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Unique identifier of the assignment",
            "example": "f165f244-43dc-4a54-bb6d-fe3dyd81d8233"
          },
          "type": {
            "type": "string",
            "description": "Type of the assignment",
            "enum": [
              "USER",
              "GROUP"
            ]
          },
          "entitlement": {
            "type": "string",
            "description": "Unique identifier of the entitlement",
            "example": "d865f244-43dc-4a54-bb6d-fe31ed81d821"
          },
          "path": {
            "type": "string",
            "description": "Path of the entitlement",
            "readOnly": true,
            "example": "/<parent_code>/<child_code>/"
          },
          "value": {
            "type": "string",
            "description": "Unique identifier of value of the right",
            "example": "d865f244-43dc-4a54-bb6d-fe31ed81d821"
          },
          "creationUser": {
            "type": "string",
            "description": "Indicate the id of who is the creator of the assignment",
            "readOnly": true,
            "example": "6000005EKH"
          },
          "creationDate": {
            "type": "string",
            "description": "Indicate the creation date of the assignment",
            "format": "date-time",
            "readOnly": true
          },
          "lastModUser": {
            "type": "string",
            "description": "Indicate the id of who is the last user that has changed the assignment",
            "readOnly": true,
            "example": "6000005EKH"
          },
          "lastModTime": {
            "type": "string",
            "description": "Indicate the last modification date of the assignment",
            "format": "date-time",
            "readOnly": true
          }
        },
        "description": "Rest representation for a generic assignment with right value."
      },
      "ListResponseAssignmentRight": {
        "type": "object",
        "properties": {
          "count": {
            "type": "integer",
            "description": "Number of filtered objects",
            "format": "int32"
          },
          "page": {
            "type": "integer",
            "description": "Page number to be returned",
            "format": "int32"
          },
          "limit": {
            "type": "integer",
            "description": "Max elements to be returned",
            "format": "int32"
          },
          "resources": {
            "type": "array",
            "description": "List of objects",
            "items": {
              "$ref": "#/components/schemas/AssignmentRight"
            }
          }
        }
      },
      "ErrorMessage_4": {
        "type": "object",
        "properties": {
          "messageId": {
            "type": "string",
            "description": "Unique identifier of the error message.",
            "readOnly": true,
            "example": "<message_error_id>"
          },
          "messageDescription": {
            "type": "string",
            "description": "Description of the error message.",
            "readOnly": true,
            "example": "<message_text>"
          }
        }
      }
    }
  },
  "x-original-swagger-version": "2.0",
  "x-explorer-enabled": false
}
```